Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.runtime
Interface JDBCFetchConfiguration

All Superinterfaces:
  FetchConfiguration, Serializable

public interface JDBCFetchConfiguration
extends FetchConfiguration

JDBC extensions to Kodo's `FetchConfiguration`.

Since:
  3.0

Field Summary
`static int` | `SIZE_LAST` Mode for using `ResultSet.last()` to calcualte the size of large result sets.
`static int` | `SIZE_QUERY` Mode for using a query to calculate the size of large result sets.
`static int` | `SIZE_UNKNOWN` Mode for returning `Integer.MAX_VALUE` for the size of large result sets.

Fields inherited from interface kodo.runtime.FetchConfiguration
`EAGER_FETCH_MULTIPLE, EAGER_FETCH_NONE, EAGER_FETCH_SINGLE`

Method Summary
`int` | `getFetchDirection()` The fetch direction to use as a constant from `ResultSet`.
`int` | `getJoinSyntax()` The join syntax to use as a constant from `Join`.
`int` | `getLRSSize()` The large result set size mode to use.
`int` | `getResultSetType()` The result set type to use as a constant from `ResultSet`.
`void` | `setFetchDirection(int direction)` The fetch direction to use as a constant from `ResultSet`.
`void` | `setJoinSyntax(int syntax)` The join syntax to use as a constant from `Join`.
`void` | `setLRSSize(int lrsSize)` The large result set size mode to use.
`void` | `setResultSetType(int type)` The result set type to use as a constant from `ResultSet`.

Methods inherited from interface kodo.runtime.FetchConfiguration
`addFetchGroup, addFetchGroups, addFetchGroups, clearFetchGroups, clone, getEagerFetchMode, getFetchBatchSize, getFetchGroups, getFlushBeforeQueries, hasFetchGroup, isQueryCacheEnabled, newResultList, removeFetchGroup, removeFetchGroups, removeFetchGroups, setEagerFetchMode, setFetchBatchSize, setFlushBeforeQueries, setQueryCacheEnabled`

Field Detail

### SIZE_UNKNOWN

    public static final int SIZE_UNKNOWN

  Mode for returning `Integer.MAX_VALUE` for the size of large result sets.

### SIZE_LAST

    public static final int SIZE_LAST

  Mode for using `ResultSet.last()` to calcualte the size of large result sets.

### SIZE_QUERY

    public static final int SIZE_QUERY

  Mode for using a query to calculate the size of large result sets.

Method Detail

### getResultSetType

    public int getResultSetType()

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### setResultSetType

    public void setResultSetType(int type)

  The result set type to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.ResultSetType` setting.

### getFetchDirection

    public int getFetchDirection()

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### setFetchDirection

    public void setFetchDirection(int direction)

  The fetch direction to use as a constant from `ResultSet`. Defaults to the `kodo.jdbc.FetchDirection` setting.

### getLRSSize

    public int getLRSSize()

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### setLRSSize

    public void setLRSSize(int lrsSize)

  The large result set size mode to use. Defaults to the `kodo.jdbc.LRSSize` setting.

### getJoinSyntax

    public int getJoinSyntax()

  The join syntax to use as a constant from `Join`. Defaults to the `kodo.jdbc.JoinSyntax` setting.

### setJoinSyntax

    public void setJoinSyntax(int syntax)

  The join syntax to use as a constant from `Join`. Defaults to the `kodo.jdbc.JoinSyntax` setting.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.